Amarok says: Phonon can not play mp3.

and thus Amaraok can’t play MPp3’s.

I hope you will not be embarrased by seeing an 11.2 problem :shame:

In 11.2 I used the KDE Stable repo to be a little ahead of basic 11.2, but still STABLE. The main reason was Amarok, which did not function in the version that came with 11.2.

Now a few days ago they seemed to have flooded kde Stable for 11.2 with the new KDE 4.4. This happens to have a completely unusable Kaddressbook (different thread). Thus I went back, disabling KDE Stable and reinstaling from OSS and Update. I did the “switch to Packman” afterwards to get multi media back.

For Kaddressbook all is fine, but now I have the unusable Amarok (which btw would not play MP3 for the same reason I will come to). Thus I tried to find an Amaralok level that would draw in half of KDE 4.4. I found on the Build service an Amarok 2.2.90 (which I had about a month ago on the system) and installed it without problem.

But starting it there is a message saying thatthe Phonon backend can not play MP3. What is wrong here? Phnon packages have level 4.3.1-3.3 from OSS, no other versions available (e.g. on Packman).

BTW Mplayer plays MP3’s fine, thus at least some elements of the soundsystem is OK.

Solved.

For some reason libxine1-codes was not installed (should be from Packman).

Now I have the best (or when you put it less optimistic: working) combination of Kaddressbook (with KDE 4.3.5) and Amarok (2.2.90).

I hope to keep this until the end of support of openSUSE 11.2

On Fri, 16 Jul 2010 17:56:01 GMT, hcvv
<hcvv@no-mx.forums.opensuse.org> wrote:

>
>and thus Amaraok can’t play MPp3’s.
>
>I hope you will not be embarrased by seeing an 11.2 problem :shame:

There no shame in staying with what works for you. I only recently
gave up on maintaining my 10.3, and then only moved to 11.1. I won’t
touch kde4 yet, it is not ready; maybe by 4.6 or 4.7.
>
>In 11.2 I used the KDE Stable repo to be a little ahead of basic 11.2,
>but still STABLE. The main reason was Amarok, which did not function in
>the version that came with 11.2.
>
>Now a few days ago they seemed to have flooded kde Stable for 11.2 with
>the new KDE 4.4. This happens to have a completely unusable Kaddressbook
>(different thread). Thus I went back, disabling KDE Stable and
>reinstaling from OSS and Update. I did the “switch to Packman”
>afterwards to get multi media back.
>
>For Kaddressbook all is fine, but now I have the unusable Amarok (which
>btw would not play MP3 for the same reason I will come to). Thus I tried
>to find an Amaralok level that would draw in half of KDE 4.4. I found on
>the Build service an Amarok 2.2.90 (which I had about a month ago on the
>system) and installed it without problem.
>
>But starting it there is a message saying thatthe Phonon backend can
>not play MP3. What is wrong here? Phnon packages have level 4.3.1-3.3
>from OSS, no other versions available (e.g. on Packman).
>
>BTW Mplayer plays MP3’s fine, thus at least some elements of the
>soundsystem is OK.